---
title: HTMLImageElement.x
slug: Web/API/HTMLImageElement/x
tags:
  - API
  - CSSOM
  - CSSOM View
  - Coordinate
  - Edge
  - HTML
  - HTML DOM
  - HTMLImageElement
  - Position
  - Reference
  - border
  - left
  - x
---
<div>{{APIRef("HTML DOM")}}</div>

<p><span class="seoSummary">The read-only {{domxref("HTMLImageElement")}} property <code><strong>x</strong></code> indicates the x-coordinate of the  {{HTMLElement("img")}} element's left border edge relative to the root element's origin.</span></p>

<p>The <code>x</code> and {{domxref("HTMLImageElement.y", "y")}} properties are only valid for an image if its {{cssxref("display")}} property has the computed value <code>table-column</code> or <code>table-column-group</code>. In other words: it has either of those values set explicitly on it, or it has inherited it from a containing element, or by being located within a column described by either {{HTMLElement("col")}} or {{HTMLElement("colgroup")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">let <em>imageX</em> = <em>htmlImageElement</em>.x;</pre>

<h3 id="Value">Value</h3>

<p>An integer value indicating the distance in pixels from the left edge of the element's nearest root element and the left edge of the {{HTMLElement("img")}} element's border box. The nearest root element is the outermost {{HTMLElement("html")}} element that contains the image. If the image is in an {{HTMLElement("iframe")}}, its <code>x</code> is relative to that frame.</p>

<p>In the diagram below, the left border edge is the left edge of the blue padding area. So the value returned by <code>x</code> would be the distance from that point to the left edge of the content area.</p>

<p><img alt="Diagram showing the relationships between the various boxes associated with an element" src="https://mdn.mozillademos.org/files/8685/boxmodel-(3).png" style="height: 384px; width: 548px;"></p>

<div class="notecard note">
<p><strong>Note:</strong> The <code>x</code> property is only valid if the computed value of the image's {{cssxref("display")}} property is either <code>table-column</code> or <code>table-column-group</code>; in other words, either of those are set directly on the {{HTMLElement("img")}} or they're inherited from a containing element or by being located within a column described by either {{HTMLElement("col")}} or {{HTMLElement("colgroup")}}.</p>
</div>

<h2 id="Example">Example</h2>

<p>The example below demonstrates the use of the <code>HTMLImageElement</code> properties {{domxref("HTMLImageElement.x", "x")}} and {{domxref("HTMLImageElement.y", "y")}}.</p>

<h3 id="HTML">HTML</h3>

<p>In this example, we see a table showing information about users of a web site, including their user ID, their full name, and their avatar image.</p>

<pre class="brush: html">&lt;table id="userinfo"&gt;
  &lt;colgroup&gt;
    &lt;col span="2" class="group1"&gt;
    &lt;col&gt;
  &lt;/colgroup&gt;
  &lt;tr&gt;
    &lt;th&gt;UserID&lt;/th&gt;
    &lt;th&gt;Name&lt;/th&gt;
    &lt;th&gt;Avatar&lt;/th&gt;
  &lt;/tr&gt;
  &lt;tr&gt;
    &lt;td&gt;12345678&lt;/td&gt;
    &lt;td&gt;Johnny Rocket&lt;/td&gt;
    &lt;td&gt;&lt;img src="https://interactive-examples.mdn.mozilla.net/media/examples/grapefruit-slice-332-332.jpg"&lt;/td&gt;
  &lt;/th&gt;
&lt;/table&gt;
&lt;pre id="log"&gt;
&lt;/pre&gt;</pre>

<h3 id="JavaScript">JavaScript</h3>

<p>The JavaScript code that fetches the image from the table and looks up its <code>x</code> and <code>y</code> values is below.</p>

<pre class="brush: js">let logBox = document.querySelector("pre");
let tbl = document.getElementById("userinfo")

let log = msg =&gt; {
  logBox.innerHTML += `${msg}&lt;br&gt;`;
}

let cell = tbl.rows[1].cells[2];
let image = cell.querySelector("img");

log(`Image's global X: ${image.x}`);
log(`Image's global Y: ${image.y}`);</pre>

<p>This uses the {{HTMLElement("table")}}'s {{domxref("HTMLTableElement.rows", "rows")}} property to get a list of the rows in the table, from which it looks up row 1 (which, being a zero-based index, means the second row from the top). Then it looks at that {{HTMLElement("tr")}} (table row) element's {{domxref("HTMLTableRowElement.cells", "cells")}} property to get a list of the cells in that row. The third cell is taken from that row (once again, specifying 2 as the zero-based offset).</p>

<p>From there, we can get the <code>&lt;img&gt;</code> element itself from the cell by calling {{domxref("Element.querySelector", "querySelector()")}} on the {{domxref("HTMLTableCellElement")}} representing that cell.</p>

<p>Finally, we can look up and display the values of the <code>HTMLImageElement</code>'s <code>x</code> and <code>y</code> properties.</p>

<h3 id="CSS">CSS</h3>

<p>The CSS defining the appearance of the table:</p>

<pre class="brush: css">.group1 {
  background-color: #d7d9f2;
}

table {
  border-collapse: collapse;
  border: 2px solid rgb(100, 100, 100);
  font-family: sans-serif;
}

td, th {
  border: 1px solid rgb(100, 100, 100);
  padding: 10px 14px;
}

td &gt; img {
  max-width: 4em;
}</pre>

<h3 id="Result">Result</h3>

<p>The resulting table looks like this:</p>

<p>{{EmbedLiveSample("Example", 600, 200)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSSOM View', '#dom-htmlimageelement-x', 'HTMLImageElement.x')}}</td>
   <td>{{Spec2('CSSOM View')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLImageElement.x")}}</p>
